Package javax.validation.metadata

# Interface ExecutableDescriptor

All Superinterfaces:
  `ElementDescriptor`

All Known Subinterfaces:
  `ConstructorDescriptor`, `MethodDescriptor`

public interface ExecutableDescriptor extends ElementDescriptor

Since:
  1.1

## Nested Class Summary

## Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

`ElementDescriptor.ConstraintFinder`

## Method Summary

Modifier and Type
Method
Description
`CrossParameterDescriptor`
`getCrossParameterDescriptor()`
`String`
`getName()`
`List<ParameterDescriptor>`
`getParameterDescriptors()`
`ReturnValueDescriptor`
`getReturnValueDescriptor()`
`boolean`
`hasConstrainedParameters()`
`boolean`
`hasConstrainedReturnValue()`

### Methods inherited from interface javax.validation.metadata.ElementDescriptor

`findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

## Method Details

### getName

String getName()

### getParameterDescriptors

List<ParameterDescriptor> getParameterDescriptors()

### getCrossParameterDescriptor

CrossParameterDescriptor getCrossParameterDescriptor()

### getReturnValueDescriptor

ReturnValueDescriptor getReturnValueDescriptor()

### hasConstrainedParameters

boolean hasConstrainedParameters()

### hasConstrainedReturnValue

boolean hasConstrainedReturnValue()